Crear proveedor
curl --request POST \
--url https://api.service.getjusto.com/v3/admin/inventory/providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Proveedor de alimentos",
"email": "compras@example.com"
}
'import requests
url = "https://api.service.getjusto.com/v3/admin/inventory/providers"
payload = {
"name": "Proveedor de alimentos",
"email": "compras@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Proveedor de alimentos', email: 'compras@example.com'})
};
fetch('https://api.service.getjusto.com/v3/admin/inventory/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/admin/inventory/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Proveedor de alimentos',
'email' => 'compras@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/admin/inventory/providers"
payload := strings.NewReader("{\n \"name\": \"Proveedor de alimentos\",\n \"email\": \"compras@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.service.getjusto.com/v3/admin/inventory/providers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Proveedor de alimentos\",\n \"email\": \"compras@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/admin/inventory/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Proveedor de alimentos\",\n \"email\": \"compras@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"storeId": "<string>"
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Proveedores
Crear proveedor
Crea el registro mediante la misma operación que el administrador de inventario. Requiere autorización admin y un usuario conectado; un token de integración sin usuario responde userRequired. Se aplican los mismos permisos y validaciones del formulario de inventario.
POST
/
admin
/
inventory
/
providers
Crear proveedor
curl --request POST \
--url https://api.service.getjusto.com/v3/admin/inventory/providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Proveedor de alimentos",
"email": "compras@example.com"
}
'import requests
url = "https://api.service.getjusto.com/v3/admin/inventory/providers"
payload = {
"name": "Proveedor de alimentos",
"email": "compras@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Proveedor de alimentos', email: 'compras@example.com'})
};
fetch('https://api.service.getjusto.com/v3/admin/inventory/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/admin/inventory/providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Proveedor de alimentos',
'email' => 'compras@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/admin/inventory/providers"
payload := strings.NewReader("{\n \"name\": \"Proveedor de alimentos\",\n \"email\": \"compras@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.service.getjusto.com/v3/admin/inventory/providers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Proveedor de alimentos\",\n \"email\": \"compras@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/admin/inventory/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Proveedor de alimentos\",\n \"email\": \"compras@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"storeId": "<string>"
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Nombre del proveedor.
Teléfono de contacto, con código de país.
Correo electrónico de contacto.
Comentarios del proveedor.
Identificador tributario del proveedor.
Tipo de documento DIAN para proveedores colombianos.
Available options:
11, 12, 13, 21, 22, 31, 41, 42, 47, 50, null Tipo de persona: 1 jurídica, 2 natural.
Available options:
1, 2, null Dirección del proveedor.
Ciudad.
Código de municipio DANE, cuando corresponda.
Régimen tributario del proveedor.